@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap");

:root {
  --clr-primary-1: hsl(0, 78%, 62%);
  --clr-primary-2: hsl(180, 62%, 55%);
  --clr-primary-3: hsl(34, 97%, 64%);
  --clr-primary-4: hsl(212, 86%, 64%);

  --clr-neutral-5: hsl(234, 12%, 34%);
  --clr-neutral-6: hsl(229, 6%, 66%);
  --clr-neutral-7: hsl(0, 0%, 98%);

  --ff-primary: "Poppins", sans-serif;
  --spacing: 0.1rem;
  --radius: 0.75rem;
  --transition: all 0.03s linear;
  --line-height: 1.25;
}

html {
  font-size: 15px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-size: 1rem;
  font-family: var(--ff-primary);
  line-height: var(--line-height);
  background: var(--clr-neutral-7);
}

.container {
  min-height: 100vh;
  padding: 5rem 2rem;
}

.wrapper {
  max-width: 1170px;
  margin: 0 auto;
}

.header {
  text-align: center;
}

.header h3 {
  color: var(--clr-neutral-5);
  font-weight: 200;
  font-size: 1.5rem;
  line-height: 1.875;
}

.header h2 {
  font-weight: 600;
  color: var(--clr-neutral-5);
}

.header p {
  font-weight: 400;
  font-size: 0.875rem;
  margin: 0 auto;
  margin-top: 1.5rem;
  width: 17rem;
  color: var(--clr-neutral-6);
}

.technology {
  /* border: 1px solid red; */
  margin-top: 4rem;
  display: grid;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.technology article {
  padding: 1rem 1.5rem;
  display: grid;
  gap: 2rem;
  background: hsl(0, 10%, 92%);
  border-radius: var(--radius);
  box-shadow: 0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1);
}

.supervisor {
  border-top: 4px solid var(--clr-primary-2);
}

.team_builder {
  border-top: 4px solid var(--clr-primary-1);
}
.karma {
  border-top: 4px solid var(--clr-primary-3);
}

.calculator {
  border-top: 4px solid var(--clr-primary-4);
}

.karma_team {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

:is(article) .title h3 {
  color: var(--clr-neutral-5);
  text-transform: capitalize;
  margin-bottom: 0.5rem;
}

:is(article) .title p {
  color: var(--clr-neutral-6);
  font-size: 0.8rem;
  line-height: 1.875;
}

.img-container {
  justify-self: flex-end;
}

@media screen and (min-width: 1170px) {
  .technology {
    display: flex;
  }

  .technology article {
    background-color: aliceblue;
    width: 20rem;
  }
}
